<?php
/**
 * Live Artist functions and definitions
 *
 * @package Live Artist
 */

/**
 * Set the content width based on the theme's design and stylesheet.
 */

if ( ! function_exists( 'live_artist_setup' ) ) :
/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which runs
 * before the init hook. The init hook is too late for some features, such as indicating
 * support post thumbnails.
 */
function live_artist_setup() {
	global $content_width;
	if ( ! isset( $content_width ) )
		$content_width = 680;
	
	load_theme_textdomain( 'live-artist', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( "responsive-embeds" );
	add_theme_support( 'align-wide' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'wp-block-styles');
	add_theme_support( 'custom-header', array(
		'default-text-color' => false,
		'header-text' => false,
	) );
	add_theme_support( 'custom-logo', array(
		'height'      => 50,
		'width'       => 100,
		'flex-height' => true,
	) );
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'live-artist' ),
	) );
	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );
	add_theme_support( 'html5', array(
		'search-form',
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );

	/*
	 * Enable support for Post Formats.
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

	add_editor_style( 'editor-style.css' );

	// Theme Activation Notice
	global $pagenow;

	if (
		is_admin()
		&&
		('themes.php' == $pagenow)
		// &&
		// isset( $_GET['activated'] )
	) {
		add_action('admin_notices', 'live_artist_deprecated_hook_admin_notice');
	}
}
endif; // live_artist_setup
add_action( 'after_setup_theme', 'live_artist_setup' );

function live_artist_the_breadcrumb() {
    echo '<div class="breadcrumb my-3">';

    if (!is_home()) {
        echo '<a class="home-main align-self-center" href="' . esc_url(home_url()) . '">';
        bloginfo('name');
        echo "</a>";

        if (is_category() || is_single()) {
            the_category(' ');
            if (is_single()) {
                echo '<span class="current-breadcrumb mx-3">' . esc_html(get_the_title()) . '</span>';
            }
        } elseif (is_page()) {
            echo '<span class="current-breadcrumb mx-3">' . esc_html(get_the_title()) . '</span>';
        }
    }

    echo '</div>';
}

function live_artist_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'live-artist' ),
		'description'   => __( 'Appears on blog page sidebar', 'live-artist' ),
		'id'            => 'sidebar-1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'live-artist' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your sidebar on pages.', 'live-artist' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'live-artist' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'live-artist' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar(array(
        'name'          => __('Shop Sidebar', 'live-artist'),
        'description'   => __('Sidebar for WooCommerce shop pages', 'live-artist'),
		'id'            => 'woocommerce_sidebar',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ));
	register_sidebar(array(
        'name'          => __('Single Product Sidebar', 'live-artist'),
        'description'   => __('Sidebar for single product pages', 'live-artist'),
		'id'            => 'woocommerce-single-sidebar',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ));		
	
	$live_artist_widget_areas = get_theme_mod('live_artist_footer_widget_areas', '4');
	for ($live_artist_i=1; $live_artist_i <= 4; $live_artist_i++) {
		register_sidebar( array(
			'name'          => __( 'Footer Widget ', 'live-artist' ) . $live_artist_i,
			'id'            => 'footer-' . $live_artist_i,
			'description'   => '',
			'before_widget' => '<aside id="%1$s" class="ftr-4-box widget-column-4 %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) );
	}

}
add_action( 'widgets_init', 'live_artist_widgets_init' );

// Change number of products per row to 4
add_filter('loop_shop_columns', 'live_artist_loop_columns');
if (!function_exists('live_artist_loop_columns')) {
    function live_artist_loop_columns() {
        $live_artist_colm = get_theme_mod('live_artist_products_per_row', 4); // Default to 4 if not set
        return $live_artist_colm;
    }
}

// Use the customizer setting to set the number of products per page
function live_artist_products_per_page($live_artist_cols) {
    $live_artist_cols = get_theme_mod('live_artist_products_per_page', 9); // Default to 9 if not set
    return $live_artist_cols;
}
add_filter('loop_shop_per_page', 'live_artist_products_per_page', 9);

function live_artist_scripts() {
	
	wp_enqueue_style( 'bootstrap-css', esc_url(get_template_directory_uri())."/css/bootstrap.css" );
	wp_enqueue_style('live-artist-style', get_stylesheet_uri(), array() );
		wp_style_add_data('live-artist-style', 'rtl', 'replace');
	require get_parent_theme_file_path( '/inc/color-scheme/custom-color-control.php' );
	wp_add_inline_style( 'live-artist-style',$live_artist_color_scheme_css );
	wp_enqueue_style( 'live-artist-default', esc_url(get_template_directory_uri())."/css/default.css" );
	wp_enqueue_style( 'live-artist-style', get_stylesheet_uri() );
	wp_enqueue_script( 'bootstrap-js', esc_url(get_template_directory_uri()). '/js/bootstrap.js', array('jquery') );
	wp_enqueue_script( 'live-artist-theme', esc_url(get_template_directory_uri()) . '/js/theme.js' );
	wp_enqueue_style( 'font-awesome-css', esc_url(get_template_directory_uri())."/css/fontawesome-all.css" );
	wp_enqueue_style( 'live-artist-block-style', esc_url( get_template_directory_uri() ).'/css/blocks.css' );
	wp_enqueue_style('swiper-css', esc_url(get_template_directory_uri())."/css/swiper-bundle.css");
    wp_enqueue_script('swiper-js', esc_url(get_template_directory_uri()). '/js/swiper-bundle.js', array('jquery'));
	/*--------------------------- Animations -------------------*/
    if ( get_theme_mod( 'live_artist_animation_enabled', true ) ) {
		wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/js/wow.js', array('jquery'),'' ,true );
        wp_enqueue_style( 'animate-style', get_template_directory_uri().'/css/animate.css' );
    }

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// font-family
    $live_artist_body_font = esc_html(get_theme_mod('live_artist_body_fonts'));
    $live_artist_sub_title_font = esc_html(get_theme_mod('live_artist_sub_title_fonts'));

    if ($live_artist_body_font) {
        wp_enqueue_style('live-artist-body-fonts', 'https://fonts.googleapis.com/css?family=' . urlencode($live_artist_body_font));
    } else {
        wp_enqueue_style('Roboto', 'https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900');
    }

    if ($live_artist_sub_title_font) {
        wp_enqueue_style('live-artist-sub-title-fonts', 'https://fonts.googleapis.com/css?family=' . urlencode($live_artist_sub_title_font));
    } else {
        wp_enqueue_style('Kalam', 'https://fonts.googleapis.com/css2?family=Kalam:wght@300;400;700');
    }

}
add_action( 'wp_enqueue_scripts', 'live_artist_scripts' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Sanitization Callbacks.
 */
require get_template_directory() . '/inc/sanitization-callbacks.php';

/**
 * Webfont-Loader.
 */
require get_template_directory() . '/inc/wptt-webfont-loader.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/upgrade-to-pro.php';

/**
 * Google Fonts
 */
require get_template_directory() . '/inc/gfonts.php';

/**
 * select .
 */
require get_template_directory() . '/inc/select/category-dropdown-custom-control.php';

/**
 * Load TGM.
 */
require get_template_directory() . '/inc/tgm/tgm.php';

/**
 * Theme Info Page.
 */
require get_template_directory() . '/inc/addon.php';

function live_artist_setup_theme() {
	if ( ! defined( 'LIVE_ARTIST_PRO_NAME' ) ) {
		define( 'LIVE_ARTIST_PRO_NAME', __( 'About Live Artist', 'live-artist' ));
	}
	if ( ! defined( 'LIVE_ARTIST_PREMIUM_PAGE' ) ) {
	define('LIVE_ARTIST_PREMIUM_PAGE',__('https://www.theclassictemplates.com/products/music-artist-wordpress-theme','live-artist'));
	}
	if ( ! defined( 'LIVE_ARTIST_THEME_PAGE' ) ) {
	define('LIVE_ARTIST_THEME_PAGE',__('https://www.theclassictemplates.com/collections/best-wordpress-templates','live-artist'));
	}
	if ( ! defined( 'LIVE_ARTIST_SUPPORT' ) ) {
	define('LIVE_ARTIST_SUPPORT',__('https://wordpress.org/support/theme/live-artist','live-artist'));
	}
	if ( ! defined( 'LIVE_ARTIST_REVIEW' ) ) {
	define('LIVE_ARTIST_REVIEW',__('https://wordpress.org/support/theme/live-artist/reviews/','live-artist'));
	}
	if ( ! defined( 'LIVE_ARTIST_PRO_DEMO' ) ) {
	define('LIVE_ARTIST_PRO_DEMO',__('https://live.theclassictemplates.com/live-artist-pro/','live-artist'));
	}
	if ( ! defined( 'LIVE_ARTIST_THEME_DOCUMENTATION' ) ) {
	define('LIVE_ARTIST_THEME_DOCUMENTATION',__('https://live.theclassictemplates.com/demo/docs/live-artist-free/','live-artist'));
	}
	if ( ! defined( 'LIVE_ARTIST_BUNDLE_PAGE' ) ) {
		define('LIVE_ARTIST_BUNDLE_PAGE',__('https://www.theclassictemplates.com/products/wordpress-theme-bundle','live-artist'));
	}
}
add_action( 'after_setup_theme', 'live_artist_setup_theme' );

/* Starter Content */
	add_theme_support( 'starter-content', array(
		'widgets' => array(
			'footer-1' => array(
				'categories',
			),
			'footer-2' => array(
				'archives',
			),
			'footer-3' => array(
				'meta',
			),
			'footer-4' => array(
				'search',
			),
		),
    ));
    
// logo
if ( ! function_exists( 'live_artist_the_custom_logo' ) ) :
/**
 * Displays the optional custom logo.
 *
 * Does nothing if the custom logo is not available.
 *
 */
function live_artist_the_custom_logo() {
	if ( function_exists( 'the_custom_logo' ) ) {
		the_custom_logo();
	}
}
endif;

/* Activation Notice */
function live_artist_deprecated_hook_admin_notice() {
	 $live_artist_theme = wp_get_theme();
	$live_artist_meta = get_option( 'live_artist_admin_notice' );

	if (!$live_artist_meta) {
    ?>
        <div id="live-artist-welcome-notice" class="getstrat updated notice notice-success welcome-notice is-dismissible notice-get-started-class">
            <div class="admin-image">
                <img src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/screenshot.png'; ?>" />
            </div>
            <div class="admin-content" >
                <h1><?php 
				/* translators: 1: Theme name, 2: Theme version. */
				printf( esc_html__( 'Welcome to %1$s %2$s', 'live-artist' ), esc_html($live_artist_theme->get( 'Name' )), esc_html($live_artist_theme->get( 'Version' ))); ?>
                </h1>
                <p><?php _e('Get Started With Theme By Clicking On Getting Started.', 'live-artist'); ?></p>
                <div style="display: grid;">
                    <a class="admin-notice-btn button button-hero upgrade-pro" target="_blank" href="<?php echo esc_url( LIVE_ARTIST_PREMIUM_PAGE ); ?>"><?php esc_html_e('Upgrade Pro', 'live-artist') ?><i class="dashicons dashicons-cart"></i></a>
                    <a class="admin-notice-btn button button-hero" href="<?php echo esc_url( admin_url( 'themes.php?page=live-artist' )); ?>"><?php esc_html_e( 'Get started', 'live-artist' ) ?><i class="dashicons dashicons-backup"></i></a>
                    <a class="admin-notice-btn button button-hero" target="_blank" href="<?php echo esc_url( LIVE_ARTIST_THEME_DOCUMENTATION ); ?>"><?php esc_html_e('Free Doc', 'live-artist') ?><i class="dashicons dashicons-visibility"></i></a>
                    <a  class="admin-notice-btn button button-hero" target="_blank" href="<?php echo esc_url( LIVE_ARTIST_PRO_DEMO ); ?>"><?php esc_html_e('View Demo', 'live-artist') ?><i class="dashicons dashicons-awards"></i></a>
                </div>
            </div>
			<div class="admin-bundle-image">
				<a href="<?php echo esc_url( LIVE_ARTIST_BUNDLE_PAGE ); ?>" target="_blank"><img src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/images/image_1.webp'; ?>" /></a>
			</div>
        </div>
	<?php
    }
}
// Admin notice code START
function live_artist_dismissed_notice() {
	update_option( 'live_artist_admin_notice', true );
}
add_action( 'wp_ajax_live_artist_dismissed_notice', 'live_artist_dismissed_notice' );


//After Switch theme function
add_action('after_switch_theme', 'live_artist_getstart_setup_options');
function live_artist_getstart_setup_options () {
    update_option('live_artist_admin_notice', false );
}
// Admin notice code END